/*= PROTOTYPES =================================================================*/

int ox8620_init (int ,int ,int ,int ,int ,int ,int);
int ox8620_setup (int ,int ,int ,char * );
int ox8620_cont_inst (int , int );
int ox8620_channel (int ,int ,int ,int);
int ox8620_channel_save (int , int );
int ox8620_acquire (int ,int ,int ,int ,int ,int);
int ox8620_display (int ,int ,int ,int ,int ,int ,int );
int ox8620_timebase (int ,int ,int ,int ,int );
int ox8620_trigger (int ,int ,int ,int ,int );
int ox8620_wave_read (int ,int , int, int ,double [], char *);
int ox8620_measure (int ,int );
int ox8620_status (int ,int );
int ox8620_instrument_query (int, int );
int ox8620_close (void);

int ox8620_write_data(char *);
int ox8620_read_data(char * , int);

/*= GLOBALS ===============================================================*/
extern double  ox8620_xscale;     /* Time interval between two samples     */
extern double  ox8620_yscale;     /* Voltage interval between two quantums */
extern double  ox8620_yoffset;    /* Position of OV (GND)                  */
extern int     ox8620_size;       /* Size of the wave read                 */
extern int     ox8620_npoint;     /* Number of samples in the wave         */
extern int     ox8620_err;        /* Error number                          */
extern int     ox8620_port;       /* Number of serial port                 */
extern int     ox8620_instrument; /* N of instrument (8620 or 8627)       */
extern int     ox8620_version;    /* Software Version of instrument        */
extern int     ox8620_indice;     /* Software indice of version            */
extern char    ox8620_state[70];  /* Response to instrument queries        */
extern char    ox8620_mesure[20]; /* Response to automatic measurements    */
extern char    ox8620_header[200];/* Header of waveforms                   */
